commit ef4467b4aac70b9a8a1ef1194eb02d7551be2602
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Sep 28 11:25:17 2012 +1000

    r128: bump to 6.9.1
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 1793fe6e84a0ee4e4924d90e9e777213a6a5ea20
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Sep 28 11:24:53 2012 +1000

    fix make distcheck
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit e0222a5f5e7cad482044a542e4b1ebc32f774648
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Sep 28 11:22:40 2012 +1000

    r128: bump release to 6.9.0
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit e8b741e8fd4acebd79ee495cdd5437746ae80c39
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Sep 28 11:20:41 2012 +1000

    r128: enable EXA by default if XAA isn't available at build time.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 4ecd6e67fbbfd52e0ac77a6c48bd3c6a6d5598e7
Author: Connor Behan <connor.behan@gmail.com>
Date:   Fri Aug 31 00:19:21 2012 -0700

    Scale Xv with the vertical stretch ratio
    
    If we are using a resolution lower than the native resolution of the
    flat panel, the video overlay needs to know this. Otherwise a black bar
    appears beneath the video. This is essentially Conn's patch from the bug
    tracker except it doesn't always rely on info->PanelYRes. ACPI events
    can change this without the driver's knowledge.
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=6493
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit 7f279e9d4e329ccb95de16f205ea4cd0ab37a65b
Author: Connor Behan <connor.behan@gmail.com>
Date:   Wed Aug 29 16:06:39 2012 -0700

    Remove nested preprocessor checks
    
    When checking for R128DRI and RENDER, it is better to use two lines
    instead of four.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit deb05ac9cf58608b3d8d9947f52e9bcc5e0ae6b5
Author: Connor Behan <connor.behan@gmail.com>
Date:   Mon Jul 30 14:28:05 2012 +1000

    Fix build without XAA again
    
    referring to info->accel instead of info->accelOn
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 310d998b7bb6d1befb1001deb565fb51a4b17013
Author: Connor Behan <connor.behan@gmail.com>
Date:   Fri Jul 27 11:49:38 2012 +1000

    r128: fix missing preprocessor check for R128DRI
    
    This fixes one build problem seen in tinderbox.
    
    [airlied: split out from larger patch]
    Signed-off-by: Connor Behan <connor.behan@gmail.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit f83ee3144236bcca35eeadee2924e8bc15092447
Author: Connor Behan <connor.behan@gmail.com>
Date:   Tue Jul 17 22:53:17 2012 -0700

    Fix build without EXA
    
    The offscreen area used by EXA needs to be declared even with lazy
    evaluation.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit 599c69a9cbf78c8717fb9ec92d9e764d9b358cf3
Author: Connor Behan <connor.behan@gmail.com>
Date:   Tue Jul 17 22:33:43 2012 -0700

    Make debug mode work again
    
    The source should not assume that debugging is turned off. It should
    build even if the user edits r128.h and enables it.
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=47785
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit c16d4e8bc068cb8127fa95347d26c7b80258f816
Author: Connor Behan <connor.behan@gmail.com>
Date:   Mon Jul 16 12:56:00 2012 -0700

    Add EXA support
    
    This introduces EXA acceleration which can improve performance and allow
    2D acceleration to be used without XAA. Implemented hooks are Solid,
    Copy and Composite. They appear to pass all rendercheck tests, except
    the gradient test which XAA also fails. Tested on multiple color depths,
    with and without DRI, with and without the composite extension. Hardware
    cursor, Xvideo and page flipping are supported as well.
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=47866
    
    [ Michel Dänzer: Drop unrelated addition of #include "r128_version.h" ]
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>
    Signed-off-by: Michel Dänzer <michel.daenzer@amd.com>

commit a4231073010096f689df72c1f8f1453852f28d81
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 17 16:05:09 2012 +1000

    xf86-video-r128: bump to version 6.8.4
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 16df5622c550c64711a25a9d8ece9152c3047a94
Author: Dave Airlie <airlied@gmail.com>
Date:   Sun Jul 15 17:14:10 2012 +1000

    r128: drop XAA support.
    
    this just makes XAA conditional.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 734e9ff97b81af732ab7065761212e8eb8f6aa3c
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Jul 2 12:26:11 2012 +0100

    r128: bump 6.8.3 release
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit b027633fcfc0e226b78036e27c66ccd76542e43f
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Jun 6 11:02:27 2012 +0100

    r128: port to new compat API.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 1ac4cd4b41d0e8232660df78ff136df1214f3907
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 23 19:23:54 2012 -0700

    xf86-video-r128 6.8.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2cab077d6a0380fa22fa3dda8669cf0613aee17b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 23 19:23:17 2012 -0700

    Sun's copyrights are owned by Oracle now
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 22057e94b9f7cc8f707893400628c2d9875b2955
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jan 4 14:24:36 2012 +1000

    Untangle XF86DRI from the driver-specific DRI define
    
    XF86DRI is defined by xorg-server.h, so --disable-dri in the driver
    itself does exactly nothing other than not fill in the CFLAGS and thus stop
    the driver from compiling.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b4892e34011d6da577002a29913a803d5dbe1c06
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 19 17:07:11 2011 -0500

    Fix for new vgahw ABI
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 4ad32624b2f1344168e0083d33227021c87fee60
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 19 17:06:11 2011 -0500

    Make failure to XAA non-fatal
    
    No shadowfb support in this driver yet
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 67aaa4698586d75242627b7ce8f4815eeb08f853
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Mon Oct 31 11:56:33 2011 -0700

    Build fix for older servers (error: conflicting types for 'pciTag')
    
    /usr/include/xorg/xf86Pci.h:254:25: note: previous declaration of 'pciTag' was here
    
    Reported-by: Johannes Obermayr <johannesobermayr@gmx.de>
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit ea9e6b548633df5b6ffeac8071f27a5c04ac817e
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Oct 29 19:31:19 2011 -0700

    pciTag was removed from xorg-server, so provide it in-driver until this is updated to use libpciaccess
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit cfcaac0d7861c00af23c683487dcad2fcb51a908
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Oct 29 19:29:35 2011 -0700

    Use malloc/calloc/realloc/free directly
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 3de85360ca4bfdece74f8b161305b2d4276b705e
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Oct 14 14:38:52 2010 -0400

    Don't allow the config file to override BIOS location
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 65c50344d147fddc36212c01d307c6e002b6a84e
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:29:51 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b56e5c7d651515d16605107145c8b39b76dd69e3
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:49:04 2010 -0400

    config: add comments for main statements

commit 41a59f565b92f2175c96595428c03293cb7e8d34
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:07:00 2010 -0400

    config: replace deprecated use of AC_OUTPUT with AC_CONFIG_FILES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit aaef5ae3fb37797ef2c521a33c0f5b6e7462cecd
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:37:41 2010 -0400

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f057cc8a58538336862b1e2938a46b7d1e2c2288
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:05:22 2010 -0400

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e260e999e6182e9a976d576a4d36a25b6939f508
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 09:27:42 2010 -0400

    config: complete AC_INIT m4 quoting
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ecff91a9c660c2fe22ecee7740819dd0ebea97af
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 21:54:12 2010 -0400

    config: remove unrequired AC_SUBST([DRI_CFLAGS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 6a21d8268b7005b5789afdd638529a342037f755
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 21:44:57 2010 -0400

    config: remove unrequired AC_SUBST([XORG_CFLAGS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b6cfee442b87418ded95dc9d9e5c43bbf57149c9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 20:24:42 2010 -0400

    config: remove unrequired AC_HEADER_STDC
    
    Autoconf says:
    "This macro is obsolescent, as current systems have conforming
    header files. New programs need not use this macro".
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 0a912e700d92b04bbe644904e76edf2483b4f0df
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 19:41:31 2010 -0400

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 56448e3a41dad4ba912c92e4c23565b8a2312d91
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:19 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b6f59edaef05a42e25cb7797ac5c78ad81b1be00
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 16:15:29 2010 -0400

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.

commit 1936b9bb4746e86a10add4752b4394aad4bb5a19
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Jun 14 09:07:23 2010 -0400

    README: keep the text version of README, discard the sgml version
    
    The linuxdoc doc tool is deprecated.
    README files are exclusively text files.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 56bea2e89ceb84377976ab60bc9bf1707f3bec39
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Jun 14 09:05:11 2010 -0400

    README: fix linuxdoc content
    
    defs.ent are located under X11 directory
    ident tag is not a Linuxdoc tag
    replace docbook email tag with linuxdoc email tag
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b0be6cec03728dae8826c9d256790badfece6090
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Jun 13 10:00:41 2010 -0400

    COPYING: replace stub file with actual Copyright notices.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b5ba30924e001d0510313cedc96200860faa01c0
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Jun 13 10:00:41 2010 -0400

    COPYING: replace stub file with actual Copyright notices.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c8657cd4bf014d56708512916a780fccb4c10b05
Author: Matt Turner <mattst88@gmail.com>
Date:   Mon Mar 8 10:46:45 2010 -0500

    Don't check for Xinerama.
    
    It doesn't seem to be used anywhere, so don't require it.
    
    CC: Jerome Glisse <jglisse@redhat.com>
    CC: Alex Deucher <alexdeucher@gmail.com>
    CC: Dave Airlie <airlied@redhat.com>
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit fa91ba1a82c44aacdb469bc2da57f5d1f924f8ed
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 15 15:45:24 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 7bc68200e08a7ab228d6be9da0943ac119a9f13e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Dec 15 21:47:20 2009 -0500

    configure.ac: use backticks rather than $() for cmd subs
    
    Use "$PKG_CONFIG" rather than hard coded "pkg-config"
    
    Acked-by: Dan Nicholson <dbn.lists@gmail.com>
    Acked-by: Daniel Stone <daniel@fooishbar.org>
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a502b2339bfe4cecfb7a1f4f3ce217687c1b50e6
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Nov 23 09:25:05 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit ac6c537bfc139cb7c5d76650c4146c86b9889902
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:41:41 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Automake 'foreign' option is specified in configure.ac.
    Remove from Makefile.am

commit e05f059ecd970f3d9f5454f1689ce45cbc660a55
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:09 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 34b22945240af367dc1f874733a49cdeb7526bb0
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 12:54:21 2009 -0400

    Several driver modules do not have a ChangeLog target in Makefile.am #23814
    
    The git generated ChangeLog replaces the hand written one.
    Update configure.ac to xorg-macros level 1.3.
    Use XORG_DEFAULT_OPTIONS which replaces four XORG_* macros
    Update Makefile.am to add ChangeLog target if missing
    Remove ChangeLog from EXTRA_DIST or *CLEAN variables
    This is a pre-req for the INSTALL_CMD

commit 8aa9c81ec3fee4b1b943949d62ee90be1c2e320c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:17 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 39dac77d3f2b5d69f13dc3aff17a4a245462fcc0
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Jul 30 12:04:28 2009 +1000

    r128: bump for release 6.8.1

commit d519ef9adca6e60bbafbc5649f1bafef43cebb4e
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 15:22:41 2009 +1000

    r128: change to using ABI version check

commit e3568b4e5d404076c0f02c1b64af35c8e6d5745f
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 13:32:32 2009 +1000

    r128: update for resources/RAC API removal

commit 38d301388cfa1f228a6fa0cddf5b7ad6258154d2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 15 15:44:01 2009 -0400

    Use XORG_CHANGELOG macro to create ChangeLog. #22611
    
    Adding the macro in configure.ac and use it in Makefile.am
        Refer to: https://bugs.freedesktop.org/show_bug.cgi?id=22611
        Global maintenance on all modules
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 178e6f509bb8b351cfa01425ada7331781843954
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jul 16 11:51:08 2009 +1000

    Update to xextproto 7.1 support.
    
    DPMS header was split into dpms.h (client) and dpmsconst.h (server). Drivers
    need to include dpmsconst.h if xextproto 7.1 is available.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 5d8a8df3aca2f14366946e48df9b674d7254ce04
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sat Jun 13 19:20:24 2009 +0200

    Don't de-reference a NULL pointer in R128FreeScreen in the error path.
    
    If R128PreInit() failed, R128FreeRec() was already called and info
    will be NULL.

commit 771c707eb2bba21b6013327bb62859c37be08673
Author: John Nielsen <lists@jnielsen.net>
Date:   Fri Apr 17 16:16:57 2009 -0400

    R128: fix zaphod dualhead after libpciaccess switch
    
    fixes bug 21251

commit 08d56c886c6f5cb848e4f5079a66da781ef6da21
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 30 20:58:51 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos

commit 23a502faeae838010061269184082348a5c43b39
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 9 16:32:13 2009 -0800

    Remove xorgconfig & xorgcfg from See Also list in man page

commit ba8cdda0c8c1151e528d5cd432612ab664abf4f3
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Sep 21 19:55:55 2008 +0200

    Kill bare RCS id.

commit e65e95c8c44f47ef044980f59a2549684e6c9403
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Apr 28 10:24:50 2008 +1000

    r128: fix bios size setting for pciaccess

commit a4fafa97b31bb7da01dd92236b42a418ca482992
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Sun Mar 2 14:59:30 2008 -0500

    [PATCH] Avoid usage of LoaderSymbol.
    
    It can be dangerous. This patch is based on the previous one when r128
    was in xf86-video-ati. The problem is that if gR128EntityIndex is not
    explicitly marked as a public symbol, and weird things may happen when
    compiling with hidden symbols.
    Since the symbol is in the same shared binary of its callers, just use
    it, instead of using LoaderSymbol. Could also just replace calls
    getR128EntityIndex() to direct access to gR128EntityIndex.

commit d855d208f2749b6a9adb6165e08ef6523cdf892d
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Wed Feb 27 19:07:45 2008 +0200

    add warning message

commit 78d7c217f62fc12e4abbf07a79c9af4d2343c85b
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Wed Feb 27 19:07:31 2008 +0200

    change module name and version
    
    module gets package version, driver keeps its own version

commit ea008fb7098f76d1ba61eee71c494b3e09c7ae27
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Wed Feb 27 19:07:13 2008 +0200

    drop mach64

commit 6d601de15fadaf3b336d606db881e4531a26d123
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Wed Feb 27 19:07:00 2008 +0200

    drop mach64 (build system)

commit 71e61fc9e82e64a4812c5fa3b9964c1a6c4f4d00
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Wed Feb 27 19:06:48 2008 +0200

    drop ati wrapper

commit 8777f8d7c013b7671acfbad50ba720df8de4e39d
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Wed Feb 27 19:06:29 2008 +0200

    drop AtomBios and pcidb

commit e240a83f1acd5ad0641da28f8236ea6baea9597e
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Wed Feb 27 19:06:16 2008 +0200

    drop radeon, theatre

commit cce6f5af92392df3e42113bd99bc41479ca20562
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Wed Feb 27 19:04:50 2008 +0200

    drop radeon, theatre (build system).

commit 68888189cf8d460ef6f8f2f1431a6ffe9fcd8134
Author: Alex Deucher <alex@samba.(none)>
Date:   Wed Feb 27 03:09:28 2008 -0500

    RADEON: fix textured video uploads

commit 7cfad216a3f1486be194c972b9b6bcf070358586
Author: Alex Deucher <alex@samba.(none)>
Date:   Wed Feb 27 02:13:10 2008 -0500

    RADEON: fix clipping for textured video

commit a2dca1d68d751def34ef3c6f836574173737bf76
Author: Alex Deucher <alex@samba.(none)>
Date:   Tue Feb 26 16:38:29 2008 -0500

    RADEON: Convert textured video to use pipelined uploads

commit b4fa1ce9d2da04d94521a82d3c2e95f0fe985ccc
Author: Alex Deucher <alex@samba.(none)>
Date:   Tue Feb 26 14:45:25 2008 -0500

    R300/R500: fix up clipping
    
    Based on patch from Peter Zubaj.

commit 44e527a117ab0a363135ff066c7f7e0c12e3dc89
Author: Alex Deucher <alex@samba.(none)>
Date:   Tue Feb 26 14:33:24 2008 -0500

    R300: fix cordinate clamping in render code
    
    Based on Peter's fix for textured video

commit 00ec17ad53d7ad43f19c9b723794ac1b8ef86826
Author: Peter Zubaj <pzubaj at marticonet.sk>
Date:   Tue Feb 26 14:26:14 2008 -0500

    R300: Fix clamping and pitch for textured video

commit 4207793f9b6c891cb17ba715223d2002668885e3
Author: Alex Deucher <alex@samba.(none)>
Date:   Tue Feb 26 13:16:22 2008 -0500

    R300/R500: set the number graphics pipes properly
    
    This should fix the checkerboard issues on r300/r350 cards.

commit 823d8bf49e4c0a8c839354179942c5a1944c178d
Author: Alex Deucher <alex@samba.(none)>
Date:   Tue Feb 26 12:25:14 2008 -0500

    R300/R500: clean up magic numbers in textured video

commit 8ea75b268f11794f4a7e7bac52cb256490ed3fd2
Author: Dave Airlie <airlied@linux.ie>
Date:   Tue Feb 26 16:29:19 2008 +1000

    regs: fix spelling properly

commit f2816064a6c2c4c35ccba74b9aa80547e25c012e
Author: Dave Airlie <airlied@linux.ie>
Date:   Tue Feb 26 16:28:24 2008 +1000

    regs: fix spelling mistake
    
    pointed out by plaes on irc

commit 9d2ca30b90607085578dde1f314db663bd5f82ec
Author: Alex Deucher <alex@samba.(none)>
Date:   Mon Feb 25 17:34:00 2008 -0500

    R300/R500: clean up magic numbers in render code

commit 153ad6fcf704cbf9f811d9986cd4baf04e82c9d2
Author: Dave Airlie <airlied@linux.ie>
Date:   Mon Feb 25 07:10:48 2008 +1000

    fixup check for EXA composite pointed out by Alan Swanson

commit 85e470e64f629de72e361c77770e2e29998d1bf4
Merge: 27ddb39 1b84c76
Author: Alex Deucher <alex@samba.(none)>
Date:   Sun Feb 24 05:37:22 2008 -0500

    Merge master and fix conflicts
    
    Merge branch 'master' of ssh://agd5f@git.freedesktop.org/git/xorg/driver/xf86-video-ati
    
    Conflicts:
    
    	src/radeon_commonfuncs.c

commit 27ddb39b12a0b54e099fd5274c4c91f08e2d2822
Author: Alex Deucher <alex@samba.(none)>
Date:   Sun Feb 24 05:30:11 2008 -0500

    R300: clean up magic numbers in RADEONInit3DEngine

commit d4c20f33ad6a1f88615cd7e09ad3638896873f9e
Author: Alex Deucher <alex@samba.(none)>
Date:   Sun Feb 24 04:46:10 2008 -0500

    R300: replace magic numbers in cache flush

commit e52f1c8d2647b81d891ec0728dd582941a76c83f
Author: Alex Deucher <alex@samba.(none)>
Date:   Sun Feb 24 04:43:18 2008 -0500

    R300: fill in some more 3D bitfields

commit 1b84c76f27c8d24cb42beae26abf000721901c1c
Author: Dave Airlie <airlied@redhat.com>
Date:   Sun Feb 24 19:20:36 2008 +1100

    rs690: initial textured video support

commit 68158124366db883a901e960fe5f05f8df5efa42
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Feb 19 19:51:18 2008 +1100

    rs690: initial rs690 rotate
    
    suffers same problem as r500 with clipping

commit e614bb6965588bf09dcb87f5e08e67120ec9847f
Author: Dave Airlie <airlied@redhat.com>
Date:   Sun Feb 24 01:46:05 2008 -0500

    r500: convert fragprog to use register values

commit 6ce9ee47c75620b2e5d211c5d59d17271a6a7b19
Author: Dave Airlie <airlied@redhat.com>
Date:   Sat Feb 23 22:49:34 2008 -0500

    r500: add textured video Xv adapter support

commit 9aaf8b33b22b6ba112869558ae54e021b9487ad2
Author: Dave Airlie <airlied@redhat.com>
Date:   Sat Feb 23 22:16:25 2008 -0500

    r500: initial rotate support - not fully working yet.
    
    Just an example of how to setup and run the r500 3D engine for rotation.
    this rotates for me but I get some strange clipping on the bottom of my screen

commit 05dc3e4fc19d056ce99a7b110665adab2ca1ea21
Author: Adam Jackson <ajax@redhat.com>
Date:   Sat Feb 23 20:29:51 2008 -0500

    Clarify R500 US setup.

commit 080606ad528972623e1ed1124d8efe7705a73446
Author: Adam Jackson <ajax@redhat.com>
Date:   Sat Feb 23 20:21:17 2008 -0500

    Add the R500 US index/data pair.

commit edfb3b6bbf0ee17ace8e6ba704a6f54e249fec63
Author: Alex Deucher <alex@samba.(none)>
Date:   Sat Feb 23 19:59:33 2008 -0500

    RADEON: no textured video yet on XPRESS chips
    
    Still need to sort out the VAP and PVS stuff

commit 4146bfe5d00e40a86d17826fac50d04b2469621d
Author: Alex Deucher <alex@samba.(none)>
Date:   Sat Feb 23 19:21:52 2008 -0500

    R500: fix typo in new r5xx regs

commit d9be9f34b0d3313e7b22b2a8bb0a8924ad3116bf
Author: Alex Deucher <alex@samba.(none)>
Date:   Sat Feb 23 19:06:30 2008 -0500

    RADEON: add textured video support for r1xx-r4xx radeons
    
    Based on the kdrive ati video code by Eric Anholt.
    R3xx/R4xx still have some clipping issues in certain situations

commit 9dc4acad79196e9d5d94dd710773bfa83456d47f
Author: Alex Deucher <alex@cube.(none)>
Date:   Sat Feb 23 18:29:00 2008 -0500

    RS6xx: gpio entry for DDIA varies depending on the number of DFP ports

commit ed0a93edf28155308e7ab9d8705581bb38455ea0
Author: Adam Jackson <ajax@redhat.com>
Date:   Sat Feb 23 15:02:17 2008 -0500

    Fix R500_US_CONFIG.

commit bc2bd6f841b51aeed3b6b4a47dbe758c200bc5a6
Author: Adam Jackson <ajax@redhat.com>
Date:   Sat Feb 23 14:34:18 2008 -0500

    Add R500 unified shader register block.

commit a7b5c3bb74fc4de5e38a75ac31656445ce823464
Author: Alex Deucher <alex@cube.(none)>
Date:   Fri Feb 22 19:35:11 2008 -0500

    RS6xx: fix DDC on DDIA output (usually HDMI port)

commit 3327a681e21101cc6f6e162f4e29f9937b69ccc3
Author: Alex Deucher <alex@cube.(none)>
Date:   Fri Feb 22 17:05:56 2008 -0500

    ATOM: properly set up DDIA output on RS6xx boards

commit 1d0e9ab8b9451101b1b91943546f6c5833c21b3f
Author: Michel Dänzer <michel@tungstengraphics.com>
Date:   Wed Feb 20 10:21:49 2008 +0100

    radeon: Fix typo flagged by gcc -Wall.

commit b5bd442b60dbc72fe4c1e928ab864aeb0fd7a3cb
Author: Alex Deucher <alex@botch2.(none)>
Date:   Tue Feb 19 20:47:40 2008 -0500

    R100: fix render accel for transforms
    
    Not sure why we had a separate broken path for r100 vertex
    submission.

commit a0a73208a21546ac120fb9a463261836c9ea7b55
Author: Alex Deucher <alex@botch2.(none)>
Date:   Tue Feb 19 20:11:19 2008 -0500

    RADEON: restore clock gating and CP clock errata on VT switch
    
    This may help people with hangs on resume

commit b77e2aff7453a9f370beba37ca3c25b92b3f97ff
Author: Alex Deucher <alex@botch2.(none)>
Date:   Tue Feb 19 19:55:41 2008 -0500

    RADEON: fix DDC types 5 and 6

commit af82172a82f2bdf96e571def659a1c70f92dfdbf
Author: Alex Deucher <alex@botch2.(none)>
Date:   Tue Feb 19 19:39:35 2008 -0500

    RADEON: update man page with supported chips

commit 1302d1b019c8091986aaf9c86b25c1f36a037788
Author: Alex Deucher <alex@botch2.(none)>
Date:   Tue Feb 19 00:34:31 2008 -0500

    Bump for 6.8 release

commit 830d29e8b280c11e798fb5bf5278bf24ecbac7bf
Author: Alex Deucher <alex@cube.(none)>
Date:   Mon Feb 18 21:17:12 2008 -0500

    ATOM: fix RS6xx connector table parsing and fix some warnings

commit 03aa4cc6d6e8c715a1c1d677cc1845223505b358
Author: Roland Scheidegger <sroland@tungstengraphics.com>
Date:   Mon Feb 18 20:19:58 2008 -0500

    bring back to life planar-to-packed conversion for rs4xx
    
    Here's a patch to bring back the code for converting planar yuv to packed yuv,
    if a RS400 family chip is used (though I've no idea if they really all fail
    with planar yuv).
    
    fixes bug 12744

commit 66b0b3f43bb714bc007169d5ba6dabe34cfc008b
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Mon Feb 18 10:33:59 2008 +0200

    r128/radeon: probably correct fix for non pci access code

commit d055b9e800ae50d08cca9db75fc666ce1da9ab52
Author: Dave Airlie <airlied@linux.ie>
Date:   Sat Feb 16 09:13:43 2008 +1000

    r128/radeon: hopeful fix for non pci access code

commit c773bc6a314327da29e21e4ebac6fa7f3e98a0a7
Author: Dave Airlie <airlied@linux.ie>
Date:   Sat Feb 16 09:05:07 2008 +1000

    r128/radeon: fix build without pciaccess

commit 690a52da5248f47a587a878d05fce9784957970b
Author: Dave Airlie <airlied@linux.ie>
Date:   Sat Feb 16 08:33:36 2008 +1000

    mach64: fix non pciaccess build

commit fc85188fd95bf78b7f965cdde3e22b644c74ff81
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Fri Feb 15 18:36:10 2008 +0200

    ati: convert to pci probe
    
    add pciids for each subdriver, make no use of the match_data functionality.
    
    thanks to Alex Deucher for reviewing and testing.

commit 665bd7e2f61cac3e029bbad5024034e5136deec1
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Fri Feb 15 18:34:56 2008 +0200

    ati wrapper: translate Device lines

commit a596c1618f72179a45289a50a1f9e89462ce9667
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Fri Feb 15 18:34:31 2008 +0200

    r128: do not compile in PciChipsets twice

commit 99cd8ff9a7e15fc2b4e55f8bc020f584173a8c2d
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Fri Feb 15 18:33:51 2008 +0200

    ati: drop duplicate pci-id defines

commit 146b01b51069dc227d0b125babb3f6957c9b9de2
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Fri Feb 15 18:33:29 2008 +0200

    mach64: clean probe a little
    
    do not report I/O ports now, they are reported later.

commit f47d461331a032f9bdcf6f63336e848778cec6cc
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Fri Feb 15 18:32:56 2008 +0200

    mach64: minor cosmetic, I2C type

commit 2c66f2e812195167df9ca113044d46deece776ac
Author: Dave Airlie <airlied@clockmaker.usersys.redhat.com>
Date:   Fri Feb 15 10:59:30 2008 +1000

    make distcheck pass

commit ed87f367ddab7366f84917b43b31d76df4ce1110
Author: Alex Deucher <alex@botch2.(none)>
Date:   Wed Feb 13 12:53:46 2008 -0500

    RADEON: disable LVDS if panel size is 0x0
    
    if we can't get the panel size from the bios or edid
    or a user specified option, assume it's not connected.

commit 422d7f441fdbb318d22d44db661ac9bd61387bd2
Author: Alex Deucher <alex@cube.(none)>
Date:   Tue Feb 12 15:35:46 2008 -0500

    R6xx: when both crtcs are in use make sure they are both enabled
    
    sometimes setting a mode on one crtc can cuase a blank screen on the other.
    make sure they are both enabled if they should be.

commit 860f5af75274cb236f536e1da09da6bd9a579530
Author: Alex Deucher <alex@cube.(none)>
Date:   Tue Feb 12 14:46:49 2008 -0500

    R6xx: fix up use of bios scratch regs to reflect the new offsets

commit 32f2119b43a0faf6069d8cc0816f0d9f7914c07f
Author: Alex Deucher <alex@cube.(none)>
Date:   Tue Feb 12 14:20:02 2008 -0500

    R6xx: bios scratch regs moved.

commit 8d64be6ebd7f50d4bcb587afeee8252c1367dc77
Author: Alex Deucher <alex@samba.(none)>
Date:   Tue Feb 12 12:53:09 2008 -0500

    RADEON: make sure we always set up the FP crtc shadow registers for crtc0
